org.eclipse.gmt.modisco.java.queries.text

## Class GetConstructorDeclarationText

- java.lang.Object
- - org.eclipse.gmt.modisco.java.queries.text.GetConstructorDeclarationText

All Implemented Interfaces:
  IJavaModelQuery<ConstructorDeclaration,java.lang.String>

    public class GetConstructorDeclarationText
    extends java.lang.Object
    implements IJavaModelQuery<ConstructorDeclaration,java.lang.String>

### Constructor Summary

Constructors
Constructor and Description
`GetConstructorDeclarationText()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `evaluate(ConstructorDeclaration context, ParameterValueList parameterValues)` This method must be overridden by each sub class to implement query evaluation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetConstructorDeclarationText

    public GetConstructorDeclarationText()

### Method Detail

#### evaluate

    public java.lang.String evaluate(ConstructorDeclaration context,
                                     ParameterValueList parameterValues)
                              throws ModelQueryExecutionException

Description copied from interface: `IJavaModelQuery`
This method must be overridden by each sub class to implement query evaluation.

Specified by:
  `evaluate` in interface `IJavaModelQuery<ConstructorDeclaration,java.lang.String>`
Parameters:
  `context` - The query evaluation context
  `parameterValues` - The query parameter values
Returns:
  the result of the type R
Throws:
  `ModelQueryExecutionException`